import request from '@/utils/request'

// 查询市场监督管理局流通抽样检验工作汇总列表
export function listSampling(query) {
  return request({
    url: '/crmCirculationSampling/findByPage',
    method: 'get',
    params: query
  })
}

// 查询市场监督管理局流通抽样检验工作汇总详细
export function getSampling(id) {
  return request({
    url: '/basicData/sampling/' + id,
    method: 'get'
  })
}

// 新增市场监督管理局流通抽样检验工作汇总
export function addSampling(data) {
  return request({
    url: '/basicData/sampling',
    method: 'post',
    data: data
  })
}

// 修改市场监督管理局流通抽样检验工作汇总
export function updateSampling(data) {
  return request({
    url: '/basicData/sampling',
    method: 'put',
    data: data
  })
}

// 删除市场监督管理局流通抽样检验工作汇总
export function delSampling(id) {
  return request({
    url: '/crmCirculationSampling/deleteAll',
    method: 'delete'
  })
}

// 批量删除行政许可
export function delSamplingBatch(ids) {
  console.log(ids);
  return request.post('/crmCirculationSampling/delete',ids)
}

